2019-06-25 03:20 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002113NetSurfGTK-specificpublic2016-02-16 15:29
ReporterAlexander Rødseth 
Assigned ToVincent Sanders 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
Platform64-bit LinuxOSArch LinuxOS Versionrolling release
Product Version3.1 
Target Version3.4Fixed in Version3.4 
Summary0002113: Does not compile with GTK 3.12.1
DescriptionThis is on 64-bit Arch Linux with NetSurf 3.1 and GTK 3.12.1.

When compiling NetSurf with GTK2, it compiles fine.

However, when compiling with GTK3, there are several warnings and errors.

Here is an example of one of the errors:

./gtk/scaffolding.h:104:2: error: unknown type name ‘GtkImageMenuItem’
  GtkImageMenuItem *rclick;
  ^

As I understand, GTK3 has removed the small icons on the context menus in the latest version, among others.

The relevant build flag is NETSURF_GTK_MAJOR=3.
Steps To ReproduceBuild netsurf with NETSURF_GTK_MAJOR=3 and GTK 3.12.1.
Additional InformationI see that several of the missing functions and defines are present in /usr/include/gtk-3.0/gtk/deprecated. Don't know if that is relevant or of any help. Probably not. I assume you wish to move away from the deprecated functions.

Attaching the error log.
TagsNo tags attached.
Fixed in CI build #2714
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000823

Vincent Sanders (administrator)

I have added compatibility interfaces and cleaned up the GTK interface so it will not compile cleanly with no depreciation issues from GTK 2.12 through to GTK 3.14
Vincent Sanders

~0001319

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-04-29 15:10 Alexander Rødseth New Issue
2014-04-29 15:10 Alexander Rødseth File Added: error.log
2014-04-30 13:39 Vincent Sanders Status new => acknowledged
2015-04-12 09:48 Vincent Sanders Fixed in CI build # => 2714
2015-04-12 09:48 Vincent Sanders Note Added: 0000823
2015-04-12 09:48 Vincent Sanders Assigned To => Vincent Sanders
2015-04-12 09:48 Vincent Sanders Status acknowledged => resolved
2015-04-12 09:48 Vincent Sanders Resolution open => fixed
2015-04-12 09:48 Vincent Sanders Fixed in Version => 3.4
2015-04-12 09:48 Vincent Sanders Target Version => 3.4
2016-02-16 15:29 Vincent Sanders Note Added: 0001319
2016-02-16 15:29 Vincent Sanders Status resolved => closed
+Issue History